Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/mate-desktop: new aport

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Mon, 15 Dec 2014 14:43:49 +0000

---
 testing/mate-desktop/APKBUILD | 44 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/mate-desktop/APKBUILD
diff --git a/testing/mate-desktop/APKBUILD b/testing/mate-desktop/APKBUILD
new file mode 100644
index 0000000..86c8f1d
--- /dev/null
+++ b/testing/mate-desktop/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Alan Lacerda <alacerda_at_alpinelinux.org>
+# Maintainer:
+pkgname=mate-desktop
+pkgver=1.9.3
+pkgrel=0
+pkgdesc="The MATE Desktop Environment"
+url="http://wiki.mate-desktop.org/mate-desktop"
+arch="all"
+license="GPL2"
+depends="mate-common yelp-tools"
+depends_dev=""
+makedepends="autoconf automake gettext gtk+-dev libtool
+	gtk-doc intltool gdk-pixbuf-dev glib-dev dconf-dev
+	itstool libxrandr-dev"
+install=""
+subpackages=""
+source=" http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" install || return 1
+	find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="784e09aa5b9425798e24d67462f795eb  mate-desktop-1.9.3.tar.xz"
+sha256sums="d8197d98962ca511214e5785c3e75559174bfe1329dabe3953ea2be091ecfcb9  mate-desktop-1.9.3.tar.xz"
+sha512sums="15508542099e6da26a101439a33509404ec459a2eff7ebfbbbdd402af4660eb62a4704d4418f3c7dc9e601cd88864c4b8024ea8ab75e2a20c81bf3d6d90245cf  mate-desktop-1.9.3.tar.xz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Dec 15 2014 - 14:43:49 GMT